[m-c-s][PATCH] glusterfs/librdmacm: fix dependency issue with libibverbs


kai
 

From: Kai Kang <kai.kang@...>

glusterfs and librdmacm depend on libibverbs. But libibverbs has been
set imcompatible with mipsarch and arm. Update glusterfs and librdmacm
accordingly.

Signed-off-by: Kai Kang <kai.kang@...>
---
recipes-extended/glusterfs/glusterfs.inc | 3 +++
recipes-extended/librdmacm/librdmacm_1.1.0.bb | 3 +++
2 files changed, 6 insertions(+)

diff --git a/recipes-extended/glusterfs/glusterfs.inc b/recipes-extended/glusterfs/glusterfs.inc
index 5843d7c6..3fc04ffb 100644
--- a/recipes-extended/glusterfs/glusterfs.inc
+++ b/recipes-extended/glusterfs/glusterfs.inc
@@ -51,6 +51,9 @@ EXTRA_OECONF = "ac_cv_file__etc_debian_version=no \
"

PACKAGECONFIG ??= "georeplication libibverbs"
+PACKAGECONFIG_remove_mipsarch = "libibverbs"
+PACKAGECONFIG_remove_arm = "libibverbs"
+
PACKAGECONFIG[bd-xlator] = "--enable-bd-xlator,--disable-bd-xlator,lvm2,"
PACKAGECONFIG[debug] = "--enable-debug,--disable-debug,,"
PACKAGECONFIG[georeplication] = "--enable-georeplication,--disable-georeplication,,rsync"
diff --git a/recipes-extended/librdmacm/librdmacm_1.1.0.bb b/recipes-extended/librdmacm/librdmacm_1.1.0.bb
index 30a0c943..edf92f01 100644
--- a/recipes-extended/librdmacm/librdmacm_1.1.0.bb
+++ b/recipes-extended/librdmacm/librdmacm_1.1.0.bb
@@ -39,3 +39,6 @@ do_install_append() {
rm -f ${D}${libdir}/librdmacm.la
rm -f ${D}${libdir}/rsocket/librspreload.la
}
+
+COMPATIBLE_HOST_mipsarch = "none"
+COMPATIBLE_HOST_arm = "none"
--
2.20.0

Join meta-virtualization@lists.yoctoproject.org to automatically receive all group messages.